## PDC List Configs request PDC List Configs request |

## Functions

QmiMessagePdcListConfigsInput * | qmi_message_pdc_list_configs_input_new ()
QmiMessagePdcListConfigsInput * | qmi_message_pdc_list_configs_input_ref ()
void | qmi_message_pdc_list_configs_input_unref ()
gboolean | qmi_message_pdc_list_configs_input_get_config_type ()
gboolean | qmi_message_pdc_list_configs_input_set_config_type ()
gboolean | qmi_message_pdc_list_configs_input_get_token ()
gboolean | qmi_message_pdc_list_configs_input_set_token ()
QmiMessagePdcListConfigsOutput * | qmi_message_pdc_list_configs_output_ref ()
void | qmi_message_pdc_list_configs_output_unref ()
gboolean | qmi_message_pdc_list_configs_output_get_result ()
void | qmi_client_pdc_list_configs ()
QmiMessagePdcListConfigsOutput * | qmi_client_pdc_list_configs_finish ()

## Types and Values

| QmiMessagePdcListConfigsInput
| QmiMessagePdcListConfigsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcListConfigsInput
        ╰── QmiMessagePdcListConfigsOutput

## Description

## Functions

### qmi_message_pdc_list_configs_input_new ()

    QmiMessagePdcListConfigsInput *
    qmi_message_pdc_list_configs_input_new
                                   (void);

Allocates a new QmiMessagePdcListConfigsInput.

#### Returns

the newly created QmiMessagePdcListConfigsInput. The returned value should be freed with `qmi_message_pdc_list_configs_input_unref()`.

Since: 1.18

### qmi_message_pdc_list_configs_input_ref ()

    QmiMessagePdcListConfigsInput *
    qmi_message_pdc_list_configs_input_ref
                                   (QmiMessagePdcListConfigsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcListConfigsInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_list_configs_input_unref ()

    void
    qmi_message_pdc_list_configs_input_unref
                                   (QmiMessagePdcListConfigsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcListConfigsInput. |

Since: 1.18

### qmi_message_pdc_list_configs_input_get_config_type ()

    gboolean
    qmi_message_pdc_list_configs_input_get_config_type
                                   (QmiMessagePdcListConfigsInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcListConfigsInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_list_configs_input_set_config_type ()

    gboolean
    qmi_message_pdc_list_configs_input_set_config_type
                                   (QmiMessagePdcListConfigsInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcListConfigsInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_list_configs_input_get_token ()

    gboolean
    qmi_message_pdc_list_configs_input_get_token
                                   (QmiMessagePdcListConfigsInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcListConfigsInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_list_configs_input_set_token ()

    gboolean
    qmi_message_pdc_list_configs_input_set_token
                                   (QmiMessagePdcListConfigsInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcListConfigsInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_pdc_list_configs_output_ref ()

    QmiMessagePdcListConfigsOutput *
    qmi_message_pdc_list_configs_output_ref
                                   (QmiMessagePdcListConfigsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcListConfigsOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_list_configs_output_unref ()

    void
    qmi_message_pdc_list_configs_output_unref
                                   (QmiMessagePdcListConfigsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcListConfigsOutput. |

Since: 1.18

### qmi_message_pdc_list_configs_output_get_result ()

    gboolean
    qmi_message_pdc_list_configs_output_get_result
                                   (QmiMessagePdcListConfigsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcListConfigsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.18

### qmi_client_pdc_list_configs ()

    void
    qmi_client_pdc_list_configs (QmiClientPdc *self,
                                 QmiMessagePdcListConfigsInput *input,
                                 guint timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously sends a List Configs request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_list_configs_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcListConfigsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_list_configs_finish ()

    QmiMessagePdcListConfigsOutput *
    qmi_client_pdc_list_configs_finish (QmiClientPdc *self,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an async operation started with `qmi_client_pdc_list_configs()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_list_configs()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcListConfigsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_list_configs_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcListConfigsInput

    typedef struct _QmiMessagePdcListConfigsInput QmiMessagePdcListConfigsInput;

The QmiMessagePdcListConfigsInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcListConfigsOutput

    typedef struct _QmiMessagePdcListConfigsOutput QmiMessagePdcListConfigsOutput;

The QmiMessagePdcListConfigsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18